!dostocks=1
!doseries=1
!dogroup=1
!dogui=1

%stockproc = "getstocks"
%seriesproc = "stockta"
%groupproc = "stockta"
%guiproc = "stockta"

!result = @uidialog("text","Please select which programs to install", "check",!dostocks,"Stock downloader","check",!dogui,"General Interface","check",!doseries,"Series Interface", "check", !dogroup, "Group Interface", "colbreak", "text", "Enter a proc name for each program", "edit", %stockproc, "", "edit", %seriesproc, "", "edit", %groupproc, "", "edit", %guiproc, "")

if !result = -1 then
	stop
endif

if !dostocks = 1 then
	addin(menu="&Download stock data", proc=%stockproc, desc="Provides an easy way to download US stock data into EViews", docs=".\TechAsis.pdf") ".\getstocks.prg"
endif
if !dogui= 1 then
	addin(menu="&Technical analysis of stock data", proc=%guiproc, desc="Perform technical analysis techniques on stock prices - Global version", docs=".\TechAsis.pdf") ".\tagui.prg"
endif
if !doseries= 1 then
	addin(menu="Technical Analysis of &single series of stock data", proc=%seriesproc, type="series", desc="Perform technical analysis techniques on stock prices - Series version", docs=".\TechAsis.pdf") ".\taseriesgui.prg"
endif
if !dogroup= 1 then
	addin(menu="Technical Analysis &group of stock data", proc=%guiproc, type="group", desc="Perform technical analysis techniques on stock prices - Group version", docs=".\TechAsis.pdf") ".\tagroupgui.prg"
endif
